function MicStim = HitMissMicStim(MicStim)
    reactiontime = MicStim(:,2);
    
    ReactionTimeLow = 0.1;
    ReactionTimeHigh = 1.2;
    
    Aborted = find(reactiontime >0 & reactiontime <= ReactionTimeLow);
    MicStim(Aborted,3) = -1; % Aborted trials = -1
    
    Hits = find(reactiontime>ReactionTimeLow & reactiontime<=ReactionTimeHigh);
    MicStim(Hits,3) = 1; % Hit trials = 1;
    
    Misses = find(reactiontime<0 | reactiontime>ReactionTimeHigh);
    MicStim(Misses,3) = 0; %Miss trials = 0
    
end
